curl --request GET \
--url https://api.pandabase.io/v2/core/stores/{storeId}/cases/{caseId}/messages \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"items": [
{
"id": "<string>",
"senderType": "CUSTOMER",
"senderId": "<string>",
"body": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"attachments": [
{
"id": "<string>",
"filename": "<string>",
"mimeType": "<string>",
"sizeBytes": 123
}
]
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}List messages on a case. Sorted oldest first.
Attachment metadata is included, but file URLs are not exposed via store tokens — to view an attachment, use the merchant dashboard.
Requires CASES_READ scope.
curl --request GET \
--url https://api.pandabase.io/v2/core/stores/{storeId}/cases/{caseId}/messages \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"items": [
{
"id": "<string>",
"senderType": "CUSTOMER",
"senderId": "<string>",
"body": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"attachments": [
{
"id": "<string>",
"filename": "<string>",
"mimeType": "<string>",
"sizeBytes": 123
}
]
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.pandabase.io/llms.txt
Use this file to discover all available pages before exploring further.
Store API token. Use the sk_ prefixed secret key as the Bearer token.
Store ID (shp_ prefix)
12 - 48Case ID (cs_ prefix)
12 - 48x >= 11 <= x <= 100